{% extends "administration.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido_administracion %}
    <ul class="nav nav-tabs nav-append-content">
        <li class="{% ifequal "tab1" tag_actual %}active{% endifequal %}"><a href="#tab1">{% blocktrans %}Create User{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab2" tag_actual %}active{% endifequal %}"><a href="#tab2">{% blocktrans %}Modify User{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab3" tag_actual %}active{% endifequal %}"><a href="#tab3">{% blocktrans %}Delete User{% endblocktrans %}</a></li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane {% ifequal "tab1" tag_actual %}active{% endifequal %}" id="tab1">
            <form method="post"> {% csrf_token %}
                <div> {% if msg_create %} <font color="#FF0000">{{ msg_create }}</font> {% endif %} </div>
                <div class="row clearfix">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small> <input type="text" value="" placeholder="{% blocktrans %}Type the name{% endblocktrans %}" class="form-control input-sm" name="user_create_name" autocomplete="off">
                        <small>{% blocktrans %}Lastnames{% endblocktrans %}:</small> <input type="text" value="" placeholder="{% blocktrans %}Type the lastnames{% endblocktrans %}" class="form-control input-sm" name="user_create_surname" autocomplete="off">
                        <small>{% blocktrans %}DNI{% endblocktrans %}:</small> <input type="text" value="" placeholder="{% blocktrans %}Type the DNI{% endblocktrans %}" class="form-control input-sm" name="user_create_dni" autocomplete="off">
                        <small>{% blocktrans %}Email{% endblocktrans %}:</small> <input type="email" value="" placeholder="{% blocktrans %}Type the email{% endblocktrans %}" class="form-control input-sm" name="user_create_email" autocomplete="off">
                        <small>{% blocktrans %}Password{% endblocktrans %}:</small> <input type="password" value="" placeholder="{% blocktrans %}Type the password{% endblocktrans %}" class="form-control input-sm" name="user_create_password" autocomplete="off">
                        <br/>
                	</div>  
                    <div class="col-md-6 column">
                    	<div class="col-md-6 column">
                            <small>{% blocktrans %}Group{% endblocktrans %}:</small><br />
                            <select name="small" id="user_create_group" class="select-block mb1" style="display: none;">
                                <option value="No Group">{% blocktrans %}No Group{% endblocktrans %}</option>
                                {% for grupo in lista_grupos %}
                                    <option value="{{grupo.nombre}}">{{grupo.nombre}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-md-6 column">
                            <small>{% blocktrans %}Superuser{% endblocktrans %}:</small><br/>
                            <input type="checkbox" data-toggle="switch" name="user_create_superuser"/><p></p>
                        </div>
                    </div>
                    <div class="row clearfix">
                    	<div class="col-md-6 column">
                            <div class="col-md-6 column">
                                <small>{% blocktrans %}Permissions{% endblocktrans %}:</small><br />
                                <select multiple="multiple" id="user_create_permission" name="small" class="select-block mb1" style="display: none;">
                                    <option value="Login" disabled="disabled">{% blocktrans %}Login{% endblocktrans %}</option>
                                    {% for permiso in lista_permisos %}
                                        <option value="{{permiso.nombre}}">{{permiso.nombre}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-md-6 column">
                                <p><strong>{% blocktrans %}Note{% endblocktrans %}:</strong> {% blocktrans %}Groups are used to assign a user a special kind of price when receivable. If a user does not have any kind of discount you can use the group "No Group" (Default group).{% endblocktrans %}</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <input type="text" value="" id="user_create_group_temp" name="user_create_group_temp" style="display: none;">
                    <input type="text" value="" id="user_create_permission_temp" name="user_create_permission_temp" style="display: none;">
                    <div class="col-md-8 column"></div>
                    <div class="col-md-4 column">
                        <button type="submit" class="btn btn-lg btn-block btn-primary" name="user_create" onclick="select_to_var_2('user_create_group','user_create_group_temp','user_create_permission','user_create_permission_temp');">{% blocktrans %}Create{% endblocktrans %}</button>
                    </div>     
                </div> <!-- close row clearfix -->
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab2" tag_actual %}active{% endifequal %}" id="tab2">
            <form method="post"> {% csrf_token %}
                <div> {% if msg_edit %} <font color="#FF0000">{{ msg_edit }}</font> {% endif %} </div>
            	<div class="row clearfix">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Find User{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name/username for search{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchUserForEdit"><span class="fui-search" ></span></button>
                          </span>
                        </div>
                	</div>
                </div>
    			<div class="row clearfix">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small> <input type="text" disabled="disabled" value="" placeholder="" class="form-control input-sm" name="user_edit_name" id="user_edit_name" autocomplete="off">
                        <small>{% blocktrans %}Lastnames{% endblocktrans %}:</small> <input type="text" disabled="disabled" value="" placeholder="" class="form-control input-sm" name="user_edit_surname" id="user_edit_surname" autocomplete="off">
                        <small>{% blocktrans %}DNI{% endblocktrans %}:</small> <input type="text" disabled="disabled" value="" placeholder="" class="form-control input-sm" name="user_edit_dni" id="user_edit_dni" autocomplete="off">
                        <small>{% blocktrans %}Email{% endblocktrans %}:</small> <input type="email" disabled="disabled" value="" placeholder="" class="form-control input-sm" name="user_edit_email" id="user_edit_email" autocomplete="off">
                        <small>{% blocktrans %}Password{% endblocktrans %}:</small> <input type="password" value="" disabled="disabled" placeholder="" class="form-control input-sm" name="user_edit_password" id="user_edit_password" autocomplete="off">
                        <br/>
                        <input type="text" style="display:none;" id="user_edit_email_temp" name="user_edit_email_temp">
                	</div>  
                    <div class="col-md-6 column">
                        <!--
                    	<div class="col-md-6 column">
                            <small>Group:</small><br />
                            <select id="user_edit_group" name="small" class="select-block mb1" disabled="disabled" style="display: none;">
                                <option value="0" selected="selected">No Group</option>
                                <option value="1">Freaksparty</option>
                                <option value="2">Mangalego</option>
                            </select>
                        </div>
                        <div class="col-md-6 column">
                            <small>Superuser:</small><br/>
                            <input type="checkbox" data-toggle="switch" disabled="disabled" name="edit_superuser" id="edit_superuser"/><p></p><br/>
                        </div>
                        -->
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-8 column"></div>
                    <div class="col-md-4 column">
                        <button type="submit" id="user_edit_update" class="btn btn-lg btn-block btn-primary" disabled="disabled" name="user_update">{% blocktrans %}Update{% endblocktrans %}</button>
                    </div>     
                </div> <!-- close row clearfix -->
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab3" tag_actual %}active{% endifequal %}" id="tab3">
            <form method="post"> {% csrf_token %}
                <div> {% if msg_delete %} <font color="#FF0000">{{ msg_delete }}</font> {% endif %} </div>
    			<div class="row clearfix">
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Find User{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name/username for search{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchUserForDelete"><span class="fui-search"></span></button>
                          </span>
                        </div>
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div id="user_delete_name_div_text" class="col-md-6 column"></div>
                        </div>
                        <small>{% blocktrans %}Email{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div id="user_delete_email_div_text" class="col-md-6 column"></div>
                        </div>
                    </div>
                    <div class="col-md-6 column">
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-4 column"></div>
                    <div class="col-md-4 column">
                        <button type="submit" class="btn btn-lg btn-block btn-default" name="create_button">{% blocktrans %}Clean{% endblocktrans %}</button>
                    </div>
                    <div class="col-md-4 column">
                    	<button type="submit" class="btn btn-lg btn-block btn-primary" name="user_delete">{% blocktrans %}Delete{% endblocktrans %}</button>
                    </div>
                </div> <!-- close row clearfix -->
                <input type="text" value="" id="user_delete_email_temp" name="user_delete_email_temp" style="display: none;">
            </form>
        </div>
    </div>
{% endblock %}

